> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Swap Order Status

> Retrieve detailed status of a swap order



## OpenAPI

````yaml /openapi.json post /api/v1/swaps/orders/status
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/swaps/orders/status:
    post:
      tags:
        - swap-orders
      summary: Get Swap Order Status
      operationId: get_swap_order_status_api_v1_swaps_orders_status_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SwapOrderStatusRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapOrderStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SwapOrderStatusRequest:
      properties:
        order_id:
          type: string
          title: Order Id
      type: object
      required:
        - order_id
      title: SwapOrderStatusRequest
    SwapOrderStatusResponse:
      properties:
        order_id:
          type: string
          title: Order Id
        status:
          $ref: '#/components/schemas/SwapOrderStatus'
        order:
          $ref: '#/components/schemas/SwapOrder'
      type: object
      required:
        - order_id
        - status
        - order
      title: SwapOrderStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SwapOrderStatus:
      type: string
      enum:
        - OPEN
        - PENDING_PAYMENT
        - PAID
        - EXECUTING
        - FILLED
        - CANCELLED
        - EXPIRED
        - FAILED
        - PENDING_RATE_DECISION
      title: SwapOrderStatus
    SwapOrder:
      properties:
        id:
          type: string
          title: Id
          description: Order ID
        rfq_id:
          type: string
          title: Rfq Id
          description: RFQ that produced the quote
        maker_pubkey:
          anyOf:
            - type: string
            - type: 'null'
          title: Maker Pubkey
        side:
          $ref: '#/components/schemas/SwapOrderSide'
        from_type:
          $ref: '#/components/schemas/SwapSettlement'
          description: 'Input settlement type: ONCHAIN or LIGHTNING'
        from_asset:
          type: string
          title: From Asset
        from_amount:
          type: integer
          exclusiveMinimum: 0
          title: From Amount
          description: Amount of the asset to swap from. Must be greater than zero.
          example: 100000
        to_type:
          $ref: '#/components/schemas/SwapSettlement'
          description: 'Output settlement type: ONCHAIN or LIGHTNING'
        to_asset:
          type: string
          title: To Asset
        to_amount:
          type: integer
          exclusiveMinimum: 0
          title: To Amount
          description: Amount of the asset to swap to. Must be greater than zero.
          example: 100000
        price:
          type: integer
          title: Price
        pay_in:
          $ref: '#/components/schemas/SwapSettlement'
        pay_out:
          $ref: '#/components/schemas/SwapSettlement'
        ln_invoice:
          anyOf:
            - type: string
            - type: 'null'
          title: Ln Invoice
        onchain_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Onchain Address
        min_onchain_conf:
          anyOf:
            - type: integer
            - type: 'null'
          title: Min Onchain Conf
        rgb_recipient_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rgb Recipient Id
        rgb_invoice:
          anyOf:
            - type: string
            - type: 'null'
          title: Rgb Invoice
        dest_bolt11:
          anyOf:
            - type: string
            - type: 'null'
          title: Dest Bolt11
        dest_onchain_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Dest Onchain Address
        dest_rgb_invoice:
          anyOf:
            - type: string
            - type: 'null'
          title: Dest Rgb Invoice
        refund_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Refund Address
        payment_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Hash
        payment_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Secret
        swapstring:
          anyOf:
            - type: string
            - type: 'null'
          title: Swapstring
        status:
          $ref: '#/components/schemas/SwapOrderStatus'
          default: OPEN
        created_at:
          type: integer
          title: Created At
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
        filled_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Filled At
        refund_txid:
          anyOf:
            - type: string
            - type: 'null'
          title: Refund Txid
        requires_manual_refund:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Requires Manual Refund
          default: false
        payment_status:
          anyOf:
            - $ref: '#/components/schemas/PaymentStatus'
            - type: 'null'
        payment_difference:
          anyOf:
            - type: integer
            - type: 'null'
          title: Payment Difference
          description: >-
            Payment difference in satoshis. Positive for overpayment, negative
            for underpayment, zero for exact payment
        last_payment_check:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Payment Check
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        failure_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Reason
      type: object
      required:
        - id
        - rfq_id
        - side
        - from_type
        - from_asset
        - from_amount
        - to_type
        - to_asset
        - to_amount
        - price
        - pay_in
        - pay_out
      title: SwapOrder
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SwapOrderSide:
      type: string
      enum:
        - BUY
        - SELL
      title: SwapOrderSide
    SwapSettlement:
      type: string
      enum:
        - LIGHTNING
        - ONCHAIN
      title: SwapSettlement
    PaymentStatus:
      type: string
      enum:
        - NOT_PAID
        - UNDERPAID
        - PAID
        - OVERPAID
      title: PaymentStatus
      description: Payment status for onchain payments with support for partial payments.

````